I am pulling my hair out trying to get pdo-informix installed on SLES 11 SP 2. I the Informix Client SDK installed is 32-bit by requirement for our ERP application. I need to install pdo-informix, but it can only be installed in 32-bit for compatability with the Informix SDK.

I do not see a PHP5 32-bit rpm on the reposetories. I have tried to build several PHP5.x sources, trying to force 32-bit, which is supposed to be supported with CFLAGS="-m32" but it never works.

Here is an example configure for php-5.4.14 and the resulting error:

CFLAGS="-m32" CXXFLAGS="-m32" ./configure --disable-pdo --without-pdo-sqlite --with-pdo-informix=/opt/informix --with-gd --with-zlib --with-mysql --with-curl=shared --with-curl=/usr/bin --with-curl=/usr/lib --with-curl=/usr/lib64 --enable-sockets --enable-xml --enable-simplexml --enable-libxml

configure: error: build test failed. Please check the config.log for details

config.log is a nightmare to read and I can't make heads or tails of it nor where it is dying.

Any help would be VERY much appreciated.